package edu.uci.eecs.specCompiler.specExtraction;

public class QualifiedName {
	public final String fullName;
	public final String bareName;
	public final String qualifiedName;
	
	public QualifiedName(String fullName) {
		this.fullName = fullName;
		this.bareName = getBareName();
		this.qualifiedName = getQualifiedName();
	}
	
	private String getBareName() {
		int beginIdx;
		beginIdx = fullName.lastIndexOf(':');
		if (beginIdx == -1)
			return fullName;
		else
			return fullName.substring(beginIdx + 1);
	}
	
	private String getQualifiedName() {
		int endIdx = fullName.lastIndexOf(bareName);
		if (endIdx == 0)
			return "";
		return fullName.substring(0, endIdx);
	}
	
	public String toString() {
		return fullName + "\n" + bareName;
	}
}
